%define		_class		Crypt
%define		_subclass	RSA
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	1.0.0
Release:	%mkrel 17
Summary:	Provides RSA-like encryption support
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Crypt_RSA/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
This package allows you to use two-key strong cryptography like RSA
with arbitrary key length. It uses one of the following extensions for
math calculations:
- PECL big_int extension version greater than or equal to 1.0.3
- PHP GMP extension
- PHP BCMath extension

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}/docs/*
%doc %{upstream_name}-%{version}/examples
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Wed Feb 17 2016 luigiwalser <luigiwalser> 1.0.0-17.mga6
+ Revision: 964535
- fix file list the correct way

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-15.mga5
+ Revision: 746185
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-14.mga5
+ Revision: 687204
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-13.mga4
+ Revision: 516584
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-12.mga3
+ Revision: 375965
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 01 2011 spuhler <spuhler> 1.0.0-11.mga1
+ Revision: 45656
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Crypt_RSA

